2003-01-13 02:22  soulfry

	* README, README.FilmGIMP, README.java_plugins,
	filmgimp-0.13_jgimp.patch, src/Makefile.in, src/jgimp.h,
	src/jgimp_data_conversions.c, src/jgimp_gimp_adapter.h,
	src/jgimp_gimp_plugin_adapter.c, src/main.c,
	src/java/edu/gatech/cc/mterry/plugin/ImageDividerPlugIn.java,
	src/java/edu/gatech/cc/mterry/plugin/README,
	src/java/org/gimp/jgimp/proxy/JGimpProxy.java: Added initial
	support for Film GIMP

2003-01-12 03:23  soulfry

	* src/: jgimp_gimp_embedded_adapter.c, jgimp_gimp_plugin_adapter.c,
	java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java: A few minor bug
	fixes for some PDB stuff

2003-01-12 01:45  soulfry

	* src/main.c: Changed #include ordering to make it dmalloc-friendly

2002-12-31 17:37  soulfry

	* src/jgimp_extended_proxy.c: Added additional error checking code
	for painting ops.

2002-12-31 17:30  soulfry

	* jgimp_embedded.patch, src/jgimp_extended_proxy.c,
	src/jgimp_gimp_embedded_adapter.c,
	src/java/org/gimp/jgimp/utils/JGimpImagePanel.java: Fixed rendering
	bug for full rendering of an image. Added patch so we can use the
	paintbrush from the GIMP.

2002-12-31 16:34  soulfry

	* src/: jgimp_gimp_adapter.h, jgimp_gimp_embedded_adapter.c,
	jgimp_gimp_plugin_adapter.c, jgimp_native_functions.c,
	java/org/gimp/jgimp/utils/JGimpImagePanel.java: Fixed some bugs in
	rendering code

2002-12-31 02:34  soulfry

	* src/java/org/gimp/jgimp/utils/JGimpImagePanel.java: Removed some
	debugging code

2002-12-31 02:33  soulfry

	* src/: jgimp_extended_proxy.c,
	java/org/gimp/jgimp/utils/JGimpImagePanel.java: Fixed some bugs for
	painting functions

2002-12-31 00:57  soulfry

	* src/jgimp.c: Added code to register the new proxy point functions

2002-12-31 00:47  soulfry

	* jgimp_embedded.patch, src/jgimp_constants.h,
	src/jgimp_extended_proxy.c, src/jgimp_gimp_embedded_adapter.c,
	src/jgimp_jni_utils.c, src/jgimp_jni_utils.h,
	src/jgimp_native_functions.c, src/java/Makefile.in,
	src/java/org/gimp/jgimp/paint/JGimpInvalidPaintToolException.java,
	src/java/org/gimp/jgimp/paint/JGimpPaintTool.java,
	src/java/org/gimp/jgimp/paint/JGimpPaintToolFactory.java,
	src/java/org/gimp/jgimp/proxy/JGimpExtendedProxy.java,
	src/java/org/gimp/jgimp/proxy/JGimpExtendedProxyImpl.java: Added
	initial hooks for paint operations for embedded version of JGimp

2002-12-30 01:50  soulfry

	* jgimp_embedded.patch, src/jgimp_native_functions.c: Adding patch
	with dmalloc-ready code.

2002-12-30 01:09  soulfry

	* src/: jgimp_data_conversions.c, jgimp_extended_proxy.c,
	jgimp_gimp_adapter.h, jgimp_gimp_embedded_adapter.c,
	jgimp_gimp_plugin_adapter.c, jgimp_native_functions.c: Added some
	additional bounds checking for rendering code, did some name
	changes.

2002-12-28 23:49  soulfry

	* src/: jgimp_extended_proxy.c, jgimp_gimp_adapter.h,
	jgimp_gimp_embedded_adapter.c: Rendering outside the event loop,
	but segfaults sometimes... Need to find out why.

2002-12-28 23:20  soulfry

	* src/jgimp_gimp_embedded_adapter.c: Going back to
	non-event-loop-based rendering...

2002-12-28 20:28  soulfry

	* src/: jgimp_extended_proxy.c, jgimp_gimp_adapter.h,
	jgimp_gimp_embedded_adapter.c: Switched JNI exception code to
	calling function

2002-12-28 20:07  soulfry

	* src/: jgimp_extended_proxy.c, jgimp_gimp_embedded_adapter.c:
	Removed some debugging code

2002-12-28 19:39  soulfry

	* src/: jgimp_extended_proxy.c, jgimp_gimp_embedded_adapter.c:
	Switched rendering code to happen in the normal GIMP event loop

2002-12-28 18:21  soulfry

	* src/: jgimp_extended_proxy.c, jgimp_gimp_adapter.h,
	jgimp_gimp_embedded_adapter.c, jgimp_native_functions.c: Fixed some
	bugs regarding rendering into a Java buffer

2002-12-28 15:09  soulfry

	* src/jgimp_gimp_embedded_adapter.c: Rendering code seems to be
	fine in terms of memory; GIMP rendering bug happens before
	performing any rendering of images in Java. So somehow jgimp or
	Camellie is corrupting GIMP's memory and screwing up its rendering
	code.

2002-12-28 15:04  soulfry

	* src/: jgimp_extended_proxy.c, jgimp_gimp_embedded_adapter.c:
	Rendering code now mostly works. However, it likely is corrupting
	memory somewhere...

2002-12-21 23:54  soulfry

	* src/jgimp_gimp_embedded_adapter.c: Changed the code around a bit
	so that the JVM is loaded in the main thread, but the Java code is
	actually invoked in a separate thread.

2002-12-21 23:19  soulfry

	* jgimp_embedded.patch, src/jgimp_gimp_adapter.h,
	src/jgimp_gimp_embedded_adapter.c: Mostly clean integration of PDB
	stuff for jgimp being directly embedded into the GIMP. Need to
	review the threading of the JVM.

2002-12-21 16:57  soulfry

	* src/: jgimp.c, jgimp_constants.h, jgimp_extended_proxy.c,
	jgimp_gimp_adapter.h, jgimp_gimp_embedded_adapter.c: Started to
	integrate cleanly into GIMP by servicing Java callback requests
	within the main GIMP event handling loop (GLIB's main loop).

2002-12-20 02:31  soulfry

	* jgimp_embedded.patch, src/jgimp.c, src/jgimp_constants.h,
	src/jgimp_extended_proxy.c, src/jgimp_jni_utils.h: Towards an
	embedded jgimp...

2002-12-20 01:57  soulfry

	* jgimp_embedded.patch, src/jgimp_constants.h,
	src/jgimp_extended_proxy.c, src/jgimp_jni_utils.c,
	src/jgimp_native_functions.c,
	src/java/org/gimp/jgimp/proxy/JGimpExtendedProxyImpl.java,
	src/java/org/gimp/jgimp/proxy/JGimpInvalidImageException.java,
	src/java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java,
	src/java/org/gimp/jgimp/utils/JGimpImagePanel.java,
	src/java/org/gimp/jgimp/utils/JGimpMacros.java: Still moving
	towards an embedded version of jgimp...

2002-12-19 23:36  soulfry

	* src/java/: Makefile.in,
	edu/gatech/cc/mterry/plugin/DesaturatePlugIn.java,
	org/gimp/jgimp/proxy/JGimpExtendedProxy.java,
	org/gimp/jgimp/proxy/JGimpExtendedProxyImpl.java,
	org/gimp/jgimp/proxy/JGimpPlugInProxy.java,
	org/gimp/jgimp/proxy/JGimpProxy.java,
	org/gimp/jgimp/utils/JGimpMacros.java: Creating extended proxy to
	offer additional features to Java apps embedded directly in the
	GIMP.

2002-12-19 15:51  soulfry

	* TODO: Some todo notes for embedded jgimp

2002-12-19 15:47  soulfry

	* README, jgimp_embedded.patch: Added gimp patch to directly embed
	jgimp in the GIMP.

2002-12-19 14:20  soulfry

	* src/: Makefile.in, jgimp.c, jgimp.h, jgimp_gimp_adapter.h,
	jgimp_gimp_plugin_adapter.c, main.c,
	java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java: Removed shared
	object, explicitly register functions in C now instead of calling
	"loadLibrary" from Java.

2002-12-19 03:29  soulfry

	* src/: Makefile.in, jgimp_data_conversions.c,
	jgimp_data_conversions.h, jgimp_gimp_adapter.h,
	jgimp_gimp_embedded_adapter.c, jgimp_gimp_plugin_adapter.c,
	jgimp_jni_utils.c, jgimp_native_functions.c,
	jgimp_plugin_handler.c, main.c: Moving closer to having this embed
	directly in the GIMP...

2002-12-18 05:44  soulfry

	* src/: jgimp_gimp_adapter.h, jgimp_gimp_embedded_adapter.c,
	jgimp_gimp_plugin_adapter.c, jgimp_jni_utils.c, jgimp_jni_utils.h,
	jgimp_native_functions.c,
	java/org/gimp/jgimp/proxy/JGimpBufferOverflowException.java,
	java/org/gimp/jgimp/proxy/JGimpBufferUnderflowException.java: More
	refactoring of code to simplify and modularize it.

2002-12-17 02:46  soulfry

	* src/Makefile.in: Made a mistake in naming the testsuite jarfile

2002-12-17 02:30  soulfry

	* src/: jgimp.c, Makefile.in, jgimp.h, jgimp_constants.h,
	jgimp_data_conversions.c, jgimp_data_conversions.h,
	jgimp_gimp_adapter.h, jgimp_gimp_embedded_adapter.c,
	jgimp_gimp_plugin_adapter.c, jgimp_jni_utils.c, jgimp_jni_utils.h,
	jgimp_native_functions.c, jgimp_plugin_handler.c,
	jgimp_plugin_handler.h, jgimp_testsuite.c, jgimp_testsuite.h,
	main.c: Split functionality up into separate files to allow for
	later integration directly into the GIMP. Added wrapper functions
	around GIMP functions for the same purpose.

2002-12-17 02:23  soulfry

	* src/: jgimp-data-conversions.c, jgimp-test-suite.h,
	jgimp-test-suite.c, jgimp-data-conversions.h: [no log message]

2002-12-05 22:42  soulfry

	* .classpath, .project, TODO: Updated to-do list, added eclipse
	project files

2002-12-01 17:37  soulfry

	* src/java/build.xml: Added cleanall and changed clean to
	accomodate new cleanall command

2002-12-01 17:09  soulfry

	* src/java/build.xml: Changed "-" to "_" in names (annoyed by
	inability to do word completion in VIM quickly).

2002-11-29 00:42  soulfry

	* src/java/build.xml: Added a to-do list of items

2002-11-29 00:17  soulfry

	* src/java/build.xml: Cleaned up some descriptions

2002-11-29 00:12  soulfry

	* src/java/edu/gatech/cc/mterry/plugin/desaturate_manifest.txt:
	Somehow a duplicated line got in there by mistake

2002-11-29 00:11  soulfry

	* src/java/: build.xml,
	edu/gatech/cc/mterry/plugin/desaturate_manifest.txt: Initial Ant
	build file for the Java stuff

2002-11-22 21:15  soulfry

	* src/java/org/gimp/jgimp/proxy/: JGimpPlugInProxy.java,
	JGimpProxy.java: Various small bug fixes to the new local load/save
	image methods.

2002-11-22 12:14  soulfry

	* src/java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java: Needed to
	make image type in localSaveFile lowercase for compatibility with
	GIMP's PDB

2002-11-22 10:46  soulfry

	* src/java/org/gimp/jgimp/proxy/: JGimpPlugInProxy.java,
	JGimpProxy.java: Added hooks for loading and saving local files to
	a remotely-running JGimp process to enable better client-server
	operability.

2002-11-13 23:01  soulfry

	* Windows_port/README: Added note about paths

2002-11-11 10:42  soulfry

	* Windows_port/: INSTALL, README: Tweaked the build/install
	instructions

2002-11-11 09:18  soulfry

	* Windows_port/INSTALL: Changed the language a bit so it could be
	used by those with just the binaries

2002-11-10 22:58  soulfry

	* src/main.c: Added some code so that the console window won't pop
	up in Windows for jgimp_extension.exe

2002-11-10 22:38  soulfry

	* Windows_port/INSTALL, Windows_port/README,
	src/jgimp-data-conversions.c, src/jgimp.c, src/jgimp.h, src/main.c:
	The changes for the Windows code didn't commit the first time
	around for whatever reason, so here are the changes to support GIMP
	on Windows.

2002-11-10 22:11  soulfry

	* Windows_port/: INSTALL, README, Windows_port.dsw,
	jgimp/jgimp.dsp, jgimp_extension/jgimp_extension.dsp: First
	"official" Windows port

2002-09-13 12:31  ageitgey

	* README: updated install instructions in README

2002-09-12 15:50  ageitgey

	* AUTHORS, Makefile.in, README, TODO, help/Makefile.in,
	help/C/Makefile.in, help/images/Makefile.in, src/Makefile.am,
	src/Makefile.in, src/jgimp.h, src/main.c, src/main.h,
	src/java/Makefile.in,
	src/java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java,
	src/java/org/gimp/jgimp/testsuite/JGimpTestSuite.java: - Cleaned up
	the install process to install jarfiles in a better location.  -
	Added code to use the gimprc file to look for jarfiles so that user
	can   customize where to look for jarfiles.  - Added code to parse
	out a list of concatenated directories when loading   jarfiles in
	JGimpPlugInProxy.

2002-09-10 00:06  ageitgey

	* aclocal.m4, configure, configure.in: added check for gimp plugin
	path so stuff won't be installed in a prefix where there is no gimp
	installed

2002-09-06 12:48  ageitgey

	* src/: jgimp-data-conversions.h, jgimp.h, java/Makefile.in,
	java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java,
	java/org/gimp/jgimp/testsuite/JGimpTestSuite.java: no longer need
	to set LD_LIBRARY_PATH if installing libs in non-system libpath.
	
	Makefile generates stub classes that return full compile-time path
	to the libs.  If that isn't found, THEN the system path is checked.

2002-09-03 23:14  ageitgey

	* aclocal.m4, configure: added a better way to specify jdk path if
	javac etc not in $PATH

2002-09-03 22:11  ageitgey

	* configure: revamped build system with correct configure

2002-09-03 22:10  ageitgey

	* aclocal.m4, configure.in, src/Makefile.in, src/java/Makefile,
	src/java/Makefile.in: Revamped build scripts, not a hack anymore

2002-08-29 17:05  soulfry

	* CAMELLIE: Removed Camellie from this release to separate it from
	the basic JGimp architecture.

2002-08-29 16:41  soulfry

	* ABOUT-NLS, acconfig.h, AUTHORS, BUGS, CAMELLIE, ChangeLog,
	aclocal.m4, config.guess, config.h.in, config.sub, configure,
	configure.in, COPYING, INSTALL, Makefile.am, Makefile.in,
	install-sh, missing, NEWS, README, TODO, mkinstalldirs, stamp-h.in,
	help/Makefile.am, help/Makefile.in, help/C/Makefile.am,
	help/C/Makefile.in, help/C/gimp-plugin-template.html,
	help/C/index.html, help/images/Makefile.am,
	help/images/Makefile.in, help/images/wilber.png, intl/ChangeLog,
	intl/bindtextdom.c, intl/config.charset, intl/dcgettext.c,
	intl/dcigettext.c, intl/dcngettext.c, intl/dgettext.c,
	intl/dngettext.c, intl/explodename.c, intl/finddomain.c,
	intl/gettext.c, intl/gettext.h, intl/gettextP.h,
	intl/hash-string.h, intl/intl-compat.c, intl/l10nflist.c,
	intl/libgettext.h, intl/libgnuintl.h, intl/loadinfo.h,
	intl/loadmsgcat.c, intl/localcharset.c, intl/locale.alias,
	intl/localealias.c, intl/Makefile.in, intl/VERSION,
	intl/ngettext.c, intl/plural.c, intl/plural.y, intl/ref-add.sin,
	intl/ref-del.sin, intl/textdomain.c, pixmaps/zoom_in.xpm,
	pixmaps/zoom_out.xpm, po/ChangeLog, po/Makefile.in.in,
	po/POTFILES.in, po/de.gmo, po/de.po, po/gimp-plugin-template.pot,
	src/jgimp-data-conversions.c, src/jgimp-data-conversions.h,
	src/jgimp-test-suite.c, src/jgimp-test-suite.h, src/Makefile.am,
	src/Makefile.in, src/jgimp.c, src/jgimp.h, src/main.c, src/main.h,
	src/plugin-intl.h, src/java/Makefile, src/java/jgimp_manifest.txt,
	src/java/edu/gatech/cc/mterry/plugin/DesaturatePlugIn.java,
	src/java/edu/gatech/cc/mterry/plugin/ImageDividerPlugIn.java,
	src/java/edu/gatech/cc/mterry/plugin/README,
	src/java/edu/gatech/cc/mterry/plugin/desaturate_manifest.txt,
	src/java/edu/gatech/cc/mterry/plugin/image_divider_manifest.txt,
	src/java/org/gimp/jgimp/extension/JGimpExtension.java,
	src/java/org/gimp/jgimp/pdb/JGimpBoundary.java,
	src/java/org/gimp/jgimp/pdb/JGimpChannel.java,
	src/java/org/gimp/jgimp/pdb/JGimpColor.java,
	src/java/org/gimp/jgimp/pdb/JGimpData.java,
	src/java/org/gimp/jgimp/pdb/JGimpDisplay.java,
	src/java/org/gimp/jgimp/pdb/JGimpDrawable.java,
	src/java/org/gimp/jgimp/pdb/JGimpEnd.java,
	src/java/org/gimp/jgimp/pdb/JGimpFloat.java,
	src/java/org/gimp/jgimp/pdb/JGimpFloatArray.java,
	src/java/org/gimp/jgimp/pdb/JGimpImage.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt16.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt16Array.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt32.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt32Array.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt8.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt8Array.java,
	src/java/org/gimp/jgimp/pdb/JGimpLayer.java,
	src/java/org/gimp/jgimp/pdb/JGimpPDBArgType.java,
	src/java/org/gimp/jgimp/pdb/JGimpPDBStatus.java,
	src/java/org/gimp/jgimp/pdb/JGimpParasite.java,
	src/java/org/gimp/jgimp/pdb/JGimpPath.java,
	src/java/org/gimp/jgimp/pdb/JGimpRegion.java,
	src/java/org/gimp/jgimp/pdb/JGimpSelection.java,
	src/java/org/gimp/jgimp/pdb/JGimpString.java,
	src/java/org/gimp/jgimp/pdb/JGimpStringArray.java,
	src/java/org/gimp/jgimp/plugin/JGimpImageType.java,
	src/java/org/gimp/jgimp/plugin/JGimpMenuPath.java,
	src/java/org/gimp/jgimp/plugin/JGimpPDBProcType.java,
	src/java/org/gimp/jgimp/plugin/JGimpParamDescriptor.java,
	src/java/org/gimp/jgimp/plugin/JGimpPlugIn.java,
	src/java/org/gimp/jgimp/plugin/JGimpPlugInReturnValues.java,
	src/java/org/gimp/jgimp/plugin/JGimpProcedureDescriptor.java,
	src/java/org/gimp/jgimp/proxy/JGimpInvalidDrawableException.java,
	src/java/org/gimp/jgimp/proxy/JGimpInvalidPixelRegionException.java,
	src/java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java,
	src/java/org/gimp/jgimp/proxy/JGimpProxy.java,
	src/java/org/gimp/jgimp/proxy/JGimpProxyException.java,
	src/java/org/gimp/jgimp/testsuite/JGimpTestSuite.java,
	src/java/org/gimp/jgimp/testsuite/jgimp_testsuite_manifest.txt,
	src/java/org/gimp/jgimp/utils/JGimpDataListBuilder.java,
	src/java/org/gimp/jgimp/utils/JGimpImagePanel.java,
	src/java/org/gimp/jgimp/utils/JGimpMacros.java,
	src/java/org/gimp/jgimp/utils/JGimpParamDescriptorListBuilder.java:
	Initial SourceForge import of JGimp source code

2002-08-29 16:41  soulfry

	* ABOUT-NLS, acconfig.h, AUTHORS, BUGS, CAMELLIE, ChangeLog,
	aclocal.m4, config.guess, config.h.in, config.sub, configure,
	configure.in, COPYING, INSTALL, Makefile.am, Makefile.in,
	install-sh, missing, NEWS, README, TODO, mkinstalldirs, stamp-h.in,
	help/Makefile.am, help/Makefile.in, help/C/Makefile.am,
	help/C/Makefile.in, help/C/gimp-plugin-template.html,
	help/C/index.html, help/images/Makefile.am,
	help/images/Makefile.in, help/images/wilber.png, intl/ChangeLog,
	intl/bindtextdom.c, intl/config.charset, intl/dcgettext.c,
	intl/dcigettext.c, intl/dcngettext.c, intl/dgettext.c,
	intl/dngettext.c, intl/explodename.c, intl/finddomain.c,
	intl/gettext.c, intl/gettext.h, intl/gettextP.h,
	intl/hash-string.h, intl/intl-compat.c, intl/l10nflist.c,
	intl/libgettext.h, intl/libgnuintl.h, intl/loadinfo.h,
	intl/loadmsgcat.c, intl/localcharset.c, intl/locale.alias,
	intl/localealias.c, intl/Makefile.in, intl/VERSION,
	intl/ngettext.c, intl/plural.c, intl/plural.y, intl/ref-add.sin,
	intl/ref-del.sin, intl/textdomain.c, pixmaps/zoom_in.xpm,
	pixmaps/zoom_out.xpm, po/ChangeLog, po/Makefile.in.in,
	po/POTFILES.in, po/de.gmo, po/de.po, po/gimp-plugin-template.pot,
	src/jgimp-data-conversions.c, src/jgimp-data-conversions.h,
	src/jgimp-test-suite.c, src/jgimp-test-suite.h, src/Makefile.am,
	src/Makefile.in, src/jgimp.c, src/jgimp.h, src/main.c, src/main.h,
	src/plugin-intl.h, src/java/Makefile, src/java/jgimp_manifest.txt,
	src/java/edu/gatech/cc/mterry/plugin/DesaturatePlugIn.java,
	src/java/edu/gatech/cc/mterry/plugin/ImageDividerPlugIn.java,
	src/java/edu/gatech/cc/mterry/plugin/README,
	src/java/edu/gatech/cc/mterry/plugin/desaturate_manifest.txt,
	src/java/edu/gatech/cc/mterry/plugin/image_divider_manifest.txt,
	src/java/org/gimp/jgimp/extension/JGimpExtension.java,
	src/java/org/gimp/jgimp/pdb/JGimpBoundary.java,
	src/java/org/gimp/jgimp/pdb/JGimpChannel.java,
	src/java/org/gimp/jgimp/pdb/JGimpColor.java,
	src/java/org/gimp/jgimp/pdb/JGimpData.java,
	src/java/org/gimp/jgimp/pdb/JGimpDisplay.java,
	src/java/org/gimp/jgimp/pdb/JGimpDrawable.java,
	src/java/org/gimp/jgimp/pdb/JGimpEnd.java,
	src/java/org/gimp/jgimp/pdb/JGimpFloat.java,
	src/java/org/gimp/jgimp/pdb/JGimpFloatArray.java,
	src/java/org/gimp/jgimp/pdb/JGimpImage.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt16.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt16Array.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt32.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt32Array.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt8.java,
	src/java/org/gimp/jgimp/pdb/JGimpInt8Array.java,
	src/java/org/gimp/jgimp/pdb/JGimpLayer.java,
	src/java/org/gimp/jgimp/pdb/JGimpPDBArgType.java,
	src/java/org/gimp/jgimp/pdb/JGimpPDBStatus.java,
	src/java/org/gimp/jgimp/pdb/JGimpParasite.java,
	src/java/org/gimp/jgimp/pdb/JGimpPath.java,
	src/java/org/gimp/jgimp/pdb/JGimpRegion.java,
	src/java/org/gimp/jgimp/pdb/JGimpSelection.java,
	src/java/org/gimp/jgimp/pdb/JGimpString.java,
	src/java/org/gimp/jgimp/pdb/JGimpStringArray.java,
	src/java/org/gimp/jgimp/plugin/JGimpImageType.java,
	src/java/org/gimp/jgimp/plugin/JGimpMenuPath.java,
	src/java/org/gimp/jgimp/plugin/JGimpPDBProcType.java,
	src/java/org/gimp/jgimp/plugin/JGimpParamDescriptor.java,
	src/java/org/gimp/jgimp/plugin/JGimpPlugIn.java,
	src/java/org/gimp/jgimp/plugin/JGimpPlugInReturnValues.java,
	src/java/org/gimp/jgimp/plugin/JGimpProcedureDescriptor.java,
	src/java/org/gimp/jgimp/proxy/JGimpInvalidDrawableException.java,
	src/java/org/gimp/jgimp/proxy/JGimpInvalidPixelRegionException.java,
	src/java/org/gimp/jgimp/proxy/JGimpPlugInProxy.java,
	src/java/org/gimp/jgimp/proxy/JGimpProxy.java,
	src/java/org/gimp/jgimp/proxy/JGimpProxyException.java,
	src/java/org/gimp/jgimp/testsuite/JGimpTestSuite.java,
	src/java/org/gimp/jgimp/testsuite/jgimp_testsuite_manifest.txt,
	src/java/org/gimp/jgimp/utils/JGimpDataListBuilder.java,
	src/java/org/gimp/jgimp/utils/JGimpImagePanel.java,
	src/java/org/gimp/jgimp/utils/JGimpMacros.java,
	src/java/org/gimp/jgimp/utils/JGimpParamDescriptorListBuilder.java:
	Initial revision

